static char rcsid[] = "@(#)$Id: init.c,v 2.6 2018/12/21 11:21:42 hurtta Exp $";

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.6 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@siilo.FMI.FI> (was hurtta+elm@posti.FMI.FI)
 *      or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/


#include "def_addr.h"
#include "rc_imp.h"
#include "save_opts.h"

DEBUG_VAR(Debug,__FILE__,"addr");

PATH valid_domains;

static ZZZ_SAVE_TYPE addr_info_data[] = {

    {"valid-domains",         ZZZ_DT_PATH(&valid_domains),  ZZZ_TAIL },

};

static int COUNT=(sizeof(addr_info_data)/sizeof(ZZZ_SAVE_TYPE));
static save_info_recs *addr_info = (save_info_recs *) addr_info_data;

void init_addrlib P_((read_flags))
    int read_flags /* READ_FLAG_IGNORE_MISSING */;
{
    register_delayed(addr_info,COUNT,read_flags);
}

/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
